Get account profile
GET
apiToken account:readheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: account:read
Operation completed or accepted; asynchronous actions may still be running.
application/json- response
userId*stringemail*stringname*stringimage*null|stringfirstName?stringlastName?stringphone?stringaddress?stringcity?stringpostalCode?stringregion?stringcountry*stringtaxType*stringcompanyName?stringvatNumber?stringfiscalCode?stringsdiCode?stringsdiPec?stringmarketingConsent*booleantwoFactorEnabled*booleanemailVerified*booleancurl -X GET 'https://api.deluxhost.net/v1/account/profile' \ -H "Authorization: Bearer $DELUXHOST_TOKEN"Example Response
{ "userId": "string", "email": "string", "name": "string", "image": null, "firstName": "string", "lastName": "string", "phone": "string", "address": "string", "city": "string", "postalCode": "string", "region": "string", "country": "string", "taxType": "string", "companyName": "string", "vatNumber": "string", "fiscalCode": "string", "sdiCode": "string", "sdiPec": "string", "marketingConsent": true, "twoFactorEnabled": true, "emailVerified": true}